Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.tasks
Class AddTaskModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.tasks.TasksModel
              portlets.compoze.groupware.model.tasks.AddTaskModel

All Implemented Interfaces:
  java.io.Serializable

public class AddTaskModel
extends TasksModel
implements java.io.Serializable

This class represents the data model for the add task view (`add_task.jsp`).

See Also:
  Serialized Form

Constructor Summary
`AddTaskModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, TasksPreferences tasksPrefs, Accounts accounts)` Constructor.

Method Summary
`boolean` | `getAddAnother()` Gets the flag for add another task.
`java.lang.String` | `getImage()` Gets the image i18n resource.
`Task` | `getTask()` Gets the task.
`void` | `setAddAnother(boolean bAddAnother)` Sets the flag for add another task.
`void` | `setImage(java.lang.String sImage)` Sets the image i18n resource.
`void` | `setTask(Task task)` Sets the task.

Methods inherited from class portlets.compoze.groupware.model.tasks.TasksModel
`getTasksPreferences`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddTaskModel

    public AddTaskModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                        FeatureGroup featureGroup,
                        GroupwarePreferences groupwarePrefs,
                        TasksPreferences tasksPrefs,
                        Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `tasksPrefs` - the tasks k preferences (may not be `null`)

Method Detail

### getTask

    public Task getTask()

  Gets the task.

  Returns:
    the task

### setTask

    public void setTask(Task task)

  Sets the task.

  Parameters:
    `task` - the task (may not be `null`)

### setImage

    public void setImage(java.lang.String sImage)

  Sets the image i18n resource.

  Parameters:
    `sImage` - the image i18n resource (may not be `null`)

### getImage

    public java.lang.String getImage()

  Gets the image i18n resource.

  Returns:
    the image i18n resource

### getAddAnother

    public boolean getAddAnother()

  Gets the flag for add another task.

  Returns:
    if user wants to add another task or `false` otherwise

### setAddAnother

    public void setAddAnother(boolean bAddAnother)

  Sets the flag for add another task.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.